const express = require('express');
const router = express.Router();
const controller = require('../../controllers/super-admin/routes');

router.post('/schedules', controller.createRouteSchedule);
router.get('/schedules', controller.getRouteSchedules);
router.get('/schedules/:id', controller.getRouteSchedule);
router.put('/schedules/:id', controller.updateRouteSchedule);
router.delete('/schedules/:id', controller.deleteRouteSchedule);

router.post('/drivers', controller.createDriver);
router.get('/drivers', controller.getDrivers);
router.get('/drivers/:id', controller.getDriver);
router.put('/drivers/:id', controller.updateDriver);
router.delete('/drivers/:id', controller.deleteDriver);

router.post('/', controller.createRoute);
router.get('/', controller.getRoutes);
router.get('/:id', controller.getRoute);
router.put('/:id', controller.updateRoute);
router.delete('/:id', controller.deleteRoute);

module.exports = router;
